@REM  Betty-TV-Fernbedienung
@ECHO OFF

SET ARMHOME=D:\GNU
SET PATH=%ARMHOME%\BIN

echo Assembliere Startup
ARM-NONE-EABI-AS -mcpu=arm7tdmi-s --gstabs -mthumb-interwork -mfpu=softfpa -a=Startup_LPC2220gcc.lst -o Startup_LPC2220gcc.o Startup_LPC2220gcc.asm
if Errorlevel==1 goto ende

echo Compile Interrupts (zu ARM-Code!)
ARM-NONE-EABI-GCC -mcpu=arm7tdmi -mthumb-interwork -marm -D GCC  -std=c99  -c  interrupts.c
if Errorlevel==1 goto ende

echo Compile Setup
ARM-NONE-EABI-GCC @compile_gcc.xcl -o setup.thumb.o setup.c
if Errorlevel==1 goto ende

echo Compile Serial
ARM-NONE-EABI-GCC @compile_gcc.xcl -o serial.thumb.o serial.c
if Errorlevel==1 goto ende

echo Compile Systemtick
ARM-NONE-EABI-GCC @compile_gcc.xcl -o systemtick.thumb.o systemtick.c
if Errorlevel==1 goto ende

echo Compile Tasten
ARM-NONE-EABI-GCC @compile_gcc.xcl -o tasten.thumb.o tasten.c
if Errorlevel==1 goto ende

echo Compile Cmd
ARM-NONE-EABI-GCC @compile_gcc.xcl -o cmd.thumb.o cmd.c
if Errorlevel==1 goto ende

echo Compile Conv
ARM-NONE-EABI-GCC @compile_gcc.xcl -o conv.thumb.o conv.c
if Errorlevel==1 goto ende

echo Compile GDI
ARM-NONE-EABI-GCC @compile_gcc.xcl -o gdi.thumb.o gdi.c
if Errorlevel==1 goto ende

echo Compile Events
ARM-NONE-EABI-GCC @compile_gcc.xcl -o events.thumb.o events.c
if Errorlevel==1 goto ende

echo Compile Menu
ARM-NONE-EABI-GCC @compile_gcc.xcl -o menu.thumb.o menu.c
if Errorlevel==1 goto ende

echo Compile BettyWorks
ARM-NONE-EABI-GCC @compile_gcc.xcl -o bettyworkmenu.thumb.o BettyWorkMenu.c
if Errorlevel==1 goto ende

echo Compile AppFinder
ARM-NONE-EABI-GCC @compile_gcc.xcl -o appfinder.thumb.o appfinder.c
if Errorlevel==1 goto ende

echo Compile Main
ARM-NONE-EABI-GCC @compile_gcc.xcl -o main.thumb.o main.c
if Errorlevel==1 goto ende

echo Linke
ARM-NONE-EABI-LD @link_gcc.xcl
if Errorlevel==1 goto ende

echo Mache Hex
ARM-NONE-EABI-OBJCOPY -O ihex linkedgcc.elf BettyBASEgcc.hex
if Errorlevel==1 goto ende

echo Mache Bin
ARM-NONE-EABI-OBJCOPY -O binary  linkedgcc.elf BettyBASEgcc.bin
if Errorlevel==1 goto ende

echo So, das war's.
..\Betty-Heaven
goto schluss

:ende
echo ...
echo Hei, da ist was schiefgelaufen!
pause

:schluss

